package meerkat.voting.gui.ui.uicommands;

import meerkat.protobuf.Voting.*;
import meerkat.voting.controller.callbacks.*;

/**
 * This command signals the UI to wait with an appropriate message until a new command replaces this state
 */
public class WaitForFinishUICommand extends UICommand<Void> {

    private final UIElement message;

    public WaitForFinishUICommand(UIElement message, ControllerCallback<Void> callback)
    {
        super(callback);
        this.message = message;
    }

    public UIElement getMessage () {
        return this.message;
    }
}
